COMMIT=$(shell /bin/git describe --always)
DATE=$(shell /bin/date -u +"%Y-%m-%d-%H:%M")

all: clean build

build:
	# go build -ldflags "-X main.commit=${COMMIT} -X main.date=${DATE}" -o hbc_raw main.go
	# ls -lah hbc_raw

	# https://blog.filippo.io/shrink-your-go-binaries-with-this-one-weird-trick/
	go build -ldflags "-s -w -X main.commit=${COMMIT} -X main.date=${DATE}" -o hbc main.go
	ls -lah hbc

	echo "hbc*" > ".gitignore"

compress:
	ls -lah hbc
	upx --brute hbc
	ls -lah hbc

clean:
	rm -rf hbc*

hbc: build run

run:
	./hbc

install:
	sudo apt install --yes upx-ucl
